// SPDX-FileCopyrightText: 2021 Johannes Loher
//
// SPDX-License-Identifier: MIT

import { DS4ActorSheet } from "./base-sheet";

/**
 * The Sheet class for DS4 Creature Actors
 */
export class DS4CreatureActorSheet extends DS4ActorSheet {
  static get defaultOptions() {
    return foundry.utils.mergeObject(super.defaultOptions, {
      classes: ["sheet", "ds4-actor-sheet", "ds4-creature-sheet"],
    });
  }

  /** @override */
  async getData(options = {}) {
    const context = await super.getData(options);
    context.data.system.baseInfo.description = await TextEditor.enrichHTML(context.data.system.baseInfo.description, {
      async: true,
    });
    return context;
  }
}
